Bug 134597 - Change from using su to runuser in initscripts and cron jobs
Summary: Change from using su to runuser in initscripts and cron jobs
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: slrn (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-04 21:02 UTC by Daniel Walsh
Modified: 2013-07-02 23:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 15:38:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Walsh 2004-10-04 21:02:35 UTC
We have created a newversion of the su command called runuser, which
will run a program as a different user.  The command can only be run
as root and will not use pam or prompt for passwords.  Otherwise it
works exactly as su.  This change is needed by SELinux in order to
support proper transitioning on process execution.

Comment 1 Jindrich Novy 2004-10-06 14:04:42 UTC
Hi Dan,
are you sure slrn is the right package to complain about that? ;-)
I doubt slocate is the right one.

Comment 2 Daniel Walsh 2004-10-06 14:25:04 UTC
Not sure what you mean.

 /etc/cron.daily/slrnpull-expire contains a "su" command that should
be  changed to runuser.

Dan

Comment 3 Jindrich Novy 2004-10-06 15:38:02 UTC
Ok, slrn-0.9.8.0-1 fixed this.


Note You need to log in before you can comment on or make changes to this bug.